<?php

require_once '../app/model/db.class.php';
require_once("../dompdf/dompdf_config.inc.php");

if ($_REQUEST['accion']=='sedes'){

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("select * from sedes");
    $obj->disconnect();

    $n=$obj->numero_de_filas($resultado);

 
    if ($n!=0){

        $opciones = '<option value="0">     - Seleccione Sede - </option>';
         while($row =$obj->fetch_assoc($resultado)){
               $opciones.='<option value="'.$row['codigo'].'">'.$row['descripcion'].'</option>';
         }

         echo $opciones;        
    }
  
}

//--------------------------------------


if ($_REQUEST['accion']=='grados'){

    $sede=$_REQUEST['sede'];

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("select cursos.grado, grados.descripcion from grados inner join cursos on grados.codigo = cursos.grado
                               group by cursos.grado, grados.descripcion, grados.orden, cursos.sede having cursos.sede=".$sede." order by grados.orden");
    $obj->disconnect();

    $n=$obj->numero_de_filas($resultado);


    if ($n!=0){

        $opciones = '<option value="0">     - Seleccione Grado - </option>';
         while($row =$obj->fetch_assoc($resultado)){
               $opciones.='<option value="'.$row['grado'].'">'.$row['descripcion'].'</option>';
         }

         echo $opciones;
    }

}

//--------------------------------------


if ($_REQUEST['accion']=='grupos'){

    $sede=$_REQUEST['sede'];
    $grado=$_REQUEST['grado'];

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("select codigo,descripcion,jornada from cursos where cursos.grado='".$grado."' and cursos.sede='".$sede."' order by cursos.orden");
    $obj->disconnect();

    $n=$obj->numero_de_filas($resultado);


    if ($n!=0){

        $opciones = '<option value="0">     - Seleccione Grupo - </option>';
         while($row =$obj->fetch_assoc($resultado)){
               $opciones.='<option value="'.$row['codigo'].'">'.$row['codigo']." - ".$row['descripcion']."    Jornada: ".$row['jornada'].'</option>';
         }

         echo $opciones;
    }

}


//--------------------------------------


if ($_REQUEST['accion']=='asignaturas'){

    $grado=$_REQUEST['grado'];
    $grupo=$_REQUEST['grupo'];

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("select curso_asignatura_profesor.asignatura, catalogo.descripcion from catalogo inner join curso_asignatura_profesor
                               on catalogo.codigo = curso_asignatura_profesor.asignatura
                               where curso_asignatura_profesor.grado='".$grado."' and curso_asignatura_profesor.curso='".$grupo."' order by catalogo.orden");
    $obj->disconnect();

    $n=$obj->numero_de_filas($resultado);


    if ($n!=0){

        $opciones = '<option value="0">     - Seleccione Asignatura - </option>';
         while($row =$obj->fetch_assoc($resultado)){
               $opciones.='<option value="'.$row['asignatura'].'">'.$row['asignatura']." - ".$row['descripcion'].'</option>';
         }

         echo $opciones;
    }

}
//---------------------------------------

if ($_REQUEST['accion']=='listado_notas'){
    

    $sede=$_REQUEST['sede'];
    $grado=$_REQUEST['grado'];
    $grupo=$_REQUEST['grupo'];
    $asignatura=$_REQUEST['asignatura'];

    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $cadena="select matriculas.codigo, alumnos.p_apellido, alumnos.s_apellido, alumnos.p_nombre, alumnos.s_nombre, profesores.nombres from profesores inner join (cursos inner join (titulares inner join (alumnos inner join matriculas ";
    $cadena.="on alumnos.codigo = matriculas.codigo) on (titulares.grado = matriculas.grado) and (titulares.curso = matriculas.curso)) on (cursos.codigo = matriculas.curso) and (cursos.grado = matriculas.grado)) on profesores.cedula = titulares.profesor ";
    $cadena.="where (((matriculas.grado)='".$grado."') and ((matriculas.curso)='".$grupo."') and ((matriculas.estado)='A'))order by p_apellido,s_apellido,p_nombre,s_nombre";

    $titular="";
    $cadena=$obj->consulta($cadena);
    $numero_alumnos = $obj->numero_de_filas($cadena);

    $s="<table align='center' style='border-collapse:collapse;' cellspacing='0' cellpadding='3' border='1' >";
    $s.="<tr ALIGN='CENTER' style='font-size:12px'> <td><b>No.</b></td> <td>&nbsp;<b>CODIGO</b>&nbsp;</td> <td>&nbsp;<b>APELLIDOS Y NOMBRES</b>&nbsp;</td> <td>&nbsp;&nbsp;<b>P1</b>&nbsp;&nbsp;</td> <td>&nbsp;&nbsp;<b>P2</b>&nbsp;&nbsp;</td> <td>&nbsp;&nbsp;<b>P3</b>&nbsp;&nbsp;</td> <td>&nbsp;&nbsp;<b>P4</b>&nbsp;&nbsp;</td> <td>&nbsp;<b>DEFINITIVA</b>&nbsp;</td> <td>&nbsp;<b>FALTANTE</b>&nbsp;</td>";
    $s.="</tr>";

    $i=1;

    while($row = $obj->fetch_assoc($cadena)){
        $titular=($row['nombres']);

        $s.="<tr>";
        $s.="<td align='center' style='font-size: 12px' width='5%'>".$i."</td>";
        $s.="<td align='center' style='font-size: 12px' width='5%'>".$row['codigo']."</td>";
        $s.="<td width='35%' style='font-size: 12px'> &nbsp;".($row['p_apellido'])." ".($row['s_apellido'])." ".($row['p_nombre'])." ".($row['s_nombre'])."</td>";

        //------ RECUPERA LAS NOTAS DE TODOS LOS PERIODOS ------

        $suma=0;
        $p=1;
        while($p<=4){

          $valoracion=("select detalleboletin.definitiva from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin
                       where boletin.grado='".$grado."' and boletin.curso='".$grupo."' and boletin.periodo='".$p."' and boletin.asignatura='".$asignatura."' and detalleboletin.alumno='".$row['codigo']."'");

          $valoracion=$obj->consulta($valoracion);

          $n=$obj->numero_de_filas($valoracion); // obtenemos el numero de filas

          $definitiva="";

          if ($n==1) {
             $fila = $obj->fetch_assoc($valoracion);

             $definitiva=$fila['definitiva'];
             $suma=$suma+$definitiva;            

             if (strlen($definitiva)==1) {
                 $definitiva=$definitiva.".0";
             }

             $s.="<td ALIGN='center' style='font-size: 11px' width='5%'>".$definitiva."</td>";
          }
          else{
             $s.="<td ALIGN='center' width='5%'></td>";
          }

        $p++;
        }

        //---- Coloca la nota definitiva de la Asignatura ------


          $nota_final="select * from notas_finales_asign where grado='".$grado."' and grupo='".$grupo."' and asignatura='".$asignatura."' and codigo='".$row['codigo']."'";

          $nota_final=$obj->consulta($nota_final);

          $k=$obj->numero_de_filas($nota_final); // obtenemos el numero de filas

          $nota_def="";

          if ($k==1) {
             $fila1 = $obj->fetch_assoc($nota_final);

             $nota_def=$fila1['definitiva'];


             if (strlen($nota_def)==1) {
                 $nota_def=$nota_def.".0";
             }

             if ($nota_def<3 )
                 $color="style='background:#ECF15F;font-size:11px'";
             else
                 $color="style='background:#FFFFFF;font-size:11px'";

             $s.="<td ALIGN='center'".$color." width='5%'>".$nota_def."</td>";


          }
          else{
             $s.="<td ALIGN='center' width='5%'></td>";
          }


        //--- FALTANTE ---

        $s.="<td ALIGN='center' style='font-size: 11px' width='5%'>".(12-$suma)."</td>";

        //------ FIN RECUPERA LAS NOTAS ------

        $s.="</tr>";

        $i=$i+1;

    }

    $s.="</table><br>TITULAR: ".$titular;



    $obj->disconnect();


    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    

    $anolectivo=$obj->consulta("select * from parametros");
    $ano=$obj->fetch_assoc($anolectivo);

    $rs=$obj->consulta("select * from registrar");
    $info=$obj->fetch_assoc($rs);

    $resulsede=$obj->consulta("select * from sedes where codigo='".$sede."';");
    $vsede=$obj->fetch_assoc($resulsede);
    

    $resulgrad=$obj->consulta("select * from grados where codigo='".$grado."';");
    $vgrado=$obj->fetch_assoc($resulgrad);
    

    $resulgrup=$obj->consulta("select codigo,descripcion,jornada from cursos where cursos.codigo='".$grupo."' and cursos.grado='".$grado."' and cursos.sede='".$sede."' order by cursos.orden");
    $vgrupo=$obj->fetch_assoc($resulgrup);
    

    $resulasig=$obj->consulta("select curso_asignatura_profesor.asignatura, catalogo.descripcion from catalogo inner join curso_asignatura_profesor
                               on catalogo.codigo = curso_asignatura_profesor.asignatura
                               where catalogo.codigo='".$asignatura."' and curso_asignatura_profesor.grado='".$grado."' and curso_asignatura_profesor.curso='".$grupo."' order by catalogo.orden");
    $vasignatura=$obj->fetch_assoc($resulasig);

    
    $respro=$obj->consulta("select curso_asignatura_profesor.profesor, profesores.nombres
                               from profesores inner join curso_asignatura_profesor on profesores.cedula = curso_asignatura_profesor.profesor
                               where curso_asignatura_profesor.asignatura='".$asignatura."' and curso_asignatura_profesor.grado='".$grado."' and curso_asignatura_profesor.curso='".$grupo."'");
    $vprofesor=$obj->fetch_assoc($respro);

   
    $obj->disconnect();

    $html="
    <html>
    <head><meta http-equiv='expires' content='0'><meta http-equiv='Cache-Control' content='no-cache'><meta http-equiv='Pragma' CONTENT='no-cache'>
    <meta http-equiv='Content-Type' content='text/html; charset=utf-8' />

    <title>Notas Parciales Faltantes</title>  

    </head>

    <body>
    
    <div style='position: absolute; left: 40px; top: 2px;'>
        <img height='60' width='60' src='../fotografias/".$info['escudo']."'/>
    </div>
    <center>
    <table align='center' border='0' width='70%'>
        <tr>
            <td align='center'>
                <b style='font-weight:bold;font-size: 18px;'>".$info['institucion'].".</b>
            </td>
        </tr>
        
        <tr>
            <td></td>           
        </tr>
        <tr>
            <td></td>           
        </tr>
        <tr>
            <td align='center'>        
                <b style='font-weight:bold;font-size: 17px;'>CONSOLIDADO POR ASIGNATURAS.</b>
            </td>
        </tr>
    </table>
    <br><br>
       

    <table style='border-collapse:collapse;' align='center' border='1' width='98%'  style='background:#FAFAFA'>
        <tr>   <TD align='center' width='5%' style='font-weight:bold;font-size: 12px;background-color: #dfdcdc'>SEDE</TD><TD align='center' width='15%' style='font-size: 11px;'>".$vsede['descripcion']."  </TD>
               <TD align='center' width='5%' style='font-weight:bold;font-size: 12px;background-color: #dfdcdc'>GRADO</TD> <TD align='center' width='15%' style='font-size: 11px;'>".$vgrado['descripcion']."</TD>
               <TD align='center' width='5%' style='font-weight:bold;font-size: 12px;background-color: #dfdcdc'>GRUPO</TD> <TD align='center' width='25%' style='font-size: 11px;'>".$vgrupo['codigo']." - ".$vgrupo['descripcion']."    Jornada: ".$vgrupo['jornada']."</TD>
        </tr>

        <tr>                      
            <TD align='center' style='font-weight:bold;font-size: 12px;background-color: #dfdcdc'>ASIGNATURA</TD> <TD align='center' style='font-size: 11px;'>".$vasignatura['asignatura']." - ".$vasignatura['descripcion']."</TD>
            <TD align='center' style='font-weight:bold;font-size: 12px;background-color: #dfdcdc'>DOCENTE</TD>     <TD align='center' style='font-size: 11px;'>".$vprofesor['profesor']." - ".$vprofesor['nombres']."</TD>
            <TD align='center' style='font-weight:bold;font-size: 12px;background-color: #dfdcdc'>A&ntilde;O</TD>     <TD align='center' style='font-size: 11px;'>".$ano['anolectivo']."</TD>
        </tr>

    </table>
     <br>

    </center>


    <center>".$s."</center>

    </body>
    </html>";

    //echo $html;

    $dompdf = new DOMPDF();     
    $dompdf->load_html($html);
    $dompdf->set_paper('a4', 'portrait');
    $dompdf->render();

    $dompdf->stream("Notas_Parciales_Faltantes.pdf", array("Attachment" => false));
    
}

//--------------------------------------


if ($_REQUEST['accion']=='mostrar_docente'){

    $asignatura=$_REQUEST['asignatura'];
    $grado=$_REQUEST['grado'];
    $grupo=$_REQUEST['grupo'];

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("select curso_asignatura_profesor.profesor, profesores.nombres
                               from profesores inner join curso_asignatura_profesor on profesores.cedula = curso_asignatura_profesor.profesor
                               where curso_asignatura_profesor.asignatura='".$asignatura."' and curso_asignatura_profesor.grado='".$grado."' and curso_asignatura_profesor.curso='".$grupo."'");
    
    $row =$obj->fetch_assoc($resultado);

    echo $row['profesor']." - ".$row['nombres'];

   
    $obj->disconnect();
}


?>
